diff --git a/decider-finite-automata-reduction/src/core/limits.rs b/decider-finite-automata-reduction/src/core/limits.rs
index f43a14d..7f97541 100644
--- a/decider-finite-automata-reduction/src/core/limits.rs
+++ b/decider-finite-automata-reduction/src/core/limits.rs
@@ -1,9 +1,9 @@
 //! Define up the hard, compile-time limits on our `BB(_)` problem and search space.
 
 /// The exact number of states we expect from Turing Machines.
-pub const TM_STATES: usize = 5;
+pub const TM_STATES: usize = 6;
 /// The maximum number of states in a Proof's DFA.
-pub const MAX_DFA: usize = if cfg!(feature = "u128") { 25 } else { 12 };
+pub const MAX_DFA: usize = if cfg!(feature = "u128") { 21 } else { 10 };
 /// The maximum number of states in a Proof's NFA.
 pub const MAX_NFA: usize = if cfg!(feature = "u128") { 128 } else { 64 };
 
